﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AM_OBJECTTYPE', 'T_AM_OBJECTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_OBJECTTYPE_NO') CREATE INDEX IDX_AM_OBJECTTYPE_NO ON T_AM_OBJECTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AM_OBJECTTYPE_L', 'T_AM_OBJECTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_OBJECT_TYPE_L_FID') CREATE INDEX IDX_AM_OBJECT_TYPE_L_FID ON T_AM_OBJECTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AM_OBJECTTYPE_R3', 'T_AM_OBJECTTYPE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_OBJECTTYPE_R3_1') CREATE INDEX IDX_AM_OBJECTTYPE_R3_1 ON T_AM_OBJECTTYPE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AM_ASSOCIATEBILL', 'T_AM_ASSOCIATEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ASSOCIATEBILL_NO') CREATE INDEX IDX_AM_ASSOCIATEBILL_NO ON T_AM_ASSOCIATEBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_AM_BUSINESSAPPLY', 'T_AM_BUSINESSAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSAPPLY_FBILLNO') CREATE INDEX IDX_AM_BUSINESSAPPLY_FBILLNO ON T_AM_BUSINESSAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_AM_BUSINESSAPPLY_LK', 'T_AM_BUSINESSAPPLY_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSAPPLY_LK_FID') CREATE INDEX IDX_AM_BUSINESSAPPLY_LK_FID ON T_AM_BUSINESSAPPLY_LK ( FID );


 EXEC P_ALTERPK 'PK_T_AM_BUSINESSAPPLY_TC', 'T_AM_BUSINESSAPPLY_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSAPPLY_TC_TBILL') CREATE INDEX IDX_AM_BUSINESSAPPLY_TC_TBILL ON T_AM_BUSINESSAPPLY_TC ( FTBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSAPPLY_TC_TID') CREATE INDEX IDX_AM_BUSINESSAPPLY_TC_TID ON T_AM_BUSINESSAPPLY_TC ( FTID );


 EXEC P_ALTERPK 'PK_T_AM_BUSINESSAPPLY_WB', 'T_AM_BUSINESSAPPLY_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_BUSINESSAPPLY_WB_FID') CREATE INDEX IDX_AM_BUSINESSAPPLY_WB_FID ON T_AM_BUSINESSAPPLY_WB ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ASSOCIATEENTRY', 'T_AM_ASSOCIATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ASSOCIATEENTRY_FID') CREATE INDEX IDX_AM_ASSOCIATEENTRY_FID ON T_AM_ASSOCIATEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AM_ASSOCIATEENTRY_LK', 'T_AM_ASSOCIATEENTRY_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ASSOCIATEENTRY_LK_FK') CREATE INDEX IDX_AM_ASSOCIATEENTRY_LK_FK ON T_AM_ASSOCIATEENTRY_LK ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_AM_INVENTORYGOOD', 'T_AM_INVENTORYGOOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOOD_1') CREATE INDEX IDX_AM_INVENTORYGOOD_1 ON T_AM_INVENTORYGOOD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOOD_2') CREATE INDEX IDX_AM_INVENTORYGOOD_2 ON T_AM_INVENTORYGOOD ( FSTATUS ,FENABLE ,FGOODSTATUS ,FADOPTIONSTATUS );


 EXEC P_ALTERPK 'PK_T_AM_INVENTORYGOOD_ATT', 'T_AM_INVENTORYGOOD_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOOD_ATT_FID') CREATE INDEX IDX_AM_INVENTORYGOOD_ATT_FID ON T_AM_INVENTORYGOOD_ATT ( FID );


 EXEC P_ALTERPK 'PK_T_AM_INVENTORYGOOD_L', 'T_AM_INVENTORYGOOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOOD_L_0') CREATE INDEX IDX_AM_INVENTORYGOOD_L_0 ON T_AM_INVENTORYGOOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AM_INVENTORYGOOD_R3', 'T_AM_INVENTORYGOOD_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOOD_R3_1') CREATE INDEX IDX_AM_INVENTORYGOOD_R3_1 ON T_AM_INVENTORYGOOD_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AM_INVENTORYGOODE', 'T_AM_INVENTORYGOODE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_INVENTORYGOODE_FID') CREATE INDEX IDX_AM_INVENTORYGOODE_FID ON T_AM_INVENTORYGOODE ( FID );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODS_USE', 'T_AM_HOLDGOODS_USE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_HOLDGOODS_USE_NUM') CREATE INDEX IDX_AM_HOLDGOODS_USE_NUM ON T_AM_HOLDGOODS_USE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODS_USE_L', 'T_AM_HOLDGOODS_USE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_HOLDGOODS_USE_L_0') CREATE INDEX IDX_AM_HOLDGOODS_USE_L_0 ON T_AM_HOLDGOODS_USE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODS_USE_R3', 'T_AM_HOLDGOODS_USE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_HOLDGOODS_USE_R3_1') CREATE INDEX IDX_AM_HOLDGOODS_USE_R3_1 ON T_AM_HOLDGOODS_USE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AM_GOODSUSE_E', 'T_AM_GOODSUSE_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_GOODSUSE_E_FID') CREATE INDEX IDX_AM_GOODSUSE_E_FID ON T_AM_GOODSUSE_E ( FID );


 EXEC P_ALTERPK 'PK_T_AM_GOODSUSE_SUB', 'T_AM_GOODSUSE_SUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_GOODSUSE_SUB_FK') CREATE INDEX IDX_AM_GOODSUSE_SUB_FK ON T_AM_GOODSUSE_SUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_AM_PREGOODSUPDATE_SUB', 'T_AM_PREGOODSUPDATE_SUB', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_PREGOODSUPDATE_FID') CREATE  CLUSTERED INDEX IDX_AM_PREGOODSUPDATE_FID ON T_AM_PREGOODSUPDATE_SUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_AM_COLLECTINFOS', 'T_AM_COLLECTINFOS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_GOODS_COLLECT') CREATE INDEX IDX_T_AM_GOODS_COLLECT ON T_AM_COLLECTINFOS ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODSINFO', 'T_AM_HOLDGOODSINFO', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_GOODSBILL_NUM') CREATE  CLUSTERED INDEX IDX_T_AM_GOODSBILL_NUM ON T_AM_HOLDGOODSINFO ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE', 'T_AM_POSTGOODSUPDATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_GOODSUPDATE_BILLNO') CREATE INDEX IDX_T_AM_GOODSUPDATE_BILLNO ON T_AM_POSTGOODSUPDATE ( FNUMBER );

EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATES', 'T_AM_POSTGOODSUPDATES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_GOODSUPDATES_BILLNO') CREATE INDEX IDX_T_AM_GOODSUPDATES_BILLNO ON T_AM_POSTGOODSUPDATES ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE_ATT', 'T_AM_POSTGOODSUPDATE_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODSATT_FID') CREATE INDEX IDX_AM_POSTGOODSATT_FID ON T_AM_POSTGOODSUPDATE_ATT ( FID );


 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE_SUB', 'T_AM_POSTGOODSUPDATE_SUB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_GOODSUPDATE_FID') CREATE INDEX IDX_AM_GOODSUPDATE_FID ON T_AM_POSTGOODSUPDATE_SUB ( FID );


 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE_SUB_L', 'T_AM_POSTGOODSUPDATE_SUB_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODSL_FID') CREATE  CLUSTERED INDEX IDX_AM_POSTGOODSL_FID ON T_AM_POSTGOODSUPDATE_SUB_L ( FID );


 EXEC P_ALTERPK 'PK_T_AM_PREGOODSUPDATE_ATT', 'T_AM_PREGOODSUPDATE_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_PREGOODSATT_FID') CREATE INDEX IDX_AM_PREGOODSATT_FID ON T_AM_PREGOODSUPDATE_ATT ( FID );

 EXEC P_ALTERPK 'PK_T_AM_GOODSDETAIL', 'T_AM_GOODSDETAIL', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_AM_GOODS_DETAIL_FID') CREATE  CLUSTERED INDEX IDX_T_AM_GOODS_DETAIL_FID ON T_AM_GOODSDETAIL ( FID );

 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE_R3', 'T_AM_POSTGOODSUPDATE_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODS_R3') CREATE INDEX IDX_AM_POSTGOODS_R3 ON T_AM_POSTGOODSUPDATE_R3 ( FREFSTATUS );

 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATES_R3', 'T_AM_POSTGOODSUPDATES_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODSUPDATES_R3') CREATE INDEX IDX_AM_POSTGOODSUPDATES_R3 ON T_AM_POSTGOODSUPDATES_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATE_L', 'T_AM_POSTGOODSUPDATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODS_L') CREATE INDEX IDX_AM_POSTGOODS_L ON T_AM_POSTGOODSUPDATE_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_T_AM_POSTGOODSUPDATES_L', 'T_AM_POSTGOODSUPDATES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_POSTGOODSUPDATES_L') CREATE INDEX IDX_AM_POSTGOODSUPDATES_L ON T_AM_POSTGOODSUPDATES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODSINFO_WB', 'T_AM_HOLDGOODSINFO_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_HOLDGOODSINFO_WB') CREATE INDEX IDX_AM_HOLDGOODSINFO_WB ON T_AM_HOLDGOODSINFO_WB ( FID );


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODSINFO_TC', 'T_AM_HOLDGOODSINFO_TC', 'FID', '1';


 EXEC P_ALTERPK 'PK_T_AM_HOLDGOODSINFO_LK', 'T_AM_HOLDGOODSINFO_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_HOLDGOODS_LK') CREATE INDEX IDX_AM_HOLDGOODS_LK ON T_AM_HOLDGOODSINFO_LK ( FID );


 EXEC P_ALTERPK 'PK_T_AM_COLLECTINFOS_LK', 'T_AM_COLLECTINFOS_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_COLLECTION_LK') CREATE INDEX IDX_AM_COLLECTION_LK ON T_AM_COLLECTINFOS_LK ( FDETAILID );

 EXEC P_ALTERPK 'PK_T_AM_GOODSDETAIL_LK', 'T_AM_GOODSDETAIL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDX_AM_GOODSDETAIL_LK') CREATE INDEX INDX_AM_GOODSDETAIL_LK ON T_AM_GOODSDETAIL_LK ( FENTRYID );

 EXEC P_ALTERPK 'PK_T_AM_PREGOODSUPDATE', 'T_AM_PREGOODSUPDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_PREGOODS_FID') CREATE INDEX IDX_AM_PREGOODS_FID ON T_AM_PREGOODSUPDATE ( FID );

 EXEC P_ALTERPK 'PK_T_AM_GOODSATTACH', 'T_AM_GOODSATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_GOODSATTACH_EID') CREATE INDEX IDX_AM_GOODSATTACH_EID ON T_AM_GOODSATTACH ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_ASSOCIATEBILL') CREATE INDEX IDX_AM_ASSOCIATEBILL ON T_AM_ASSOCIATEBILL ( FBILLTYPE ,FCREATORID );

 EXEC P_ALTERPK 'PK_T_AM_GOODSUSE_CHANGE', 'T_AM_GOODSUSE_CHANGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AM_GOODSUSE_CHANGE') CREATE INDEX IDX_AM_GOODSUSE_CHANGE ON T_AM_GOODSUSE_CHANGE ( FID );

/**End D:\PDM_UPGRADE\PDM1\AM_constraint.sql **/
