﻿/**Begin D:\PDM_UPGRADE\PDM1\AM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_OBJECTTYPE') 
 CREATE TABLE T_AM_OBJECTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FASSOCIATEDTYPEID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_OBJECTTYPE_L') 
 CREATE TABLE T_AM_OBJECTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_OBJECTTYPE_R3') 
 CREATE TABLE T_AM_OBJECTTYPE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ASSOCIATEBILL') 
 CREATE TABLE T_AM_ASSOCIATEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROPNUM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSAPPLY') 
 CREATE TABLE T_AM_BUSINESSAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FOBJECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPERMISSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPT CHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSAPPLY_LK') 
 CREATE TABLE T_AM_BUSINESSAPPLY_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSAPPLY_TC') 
 CREATE TABLE T_AM_BUSINESSAPPLY_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_BUSINESSAPPLY_WB') 
 CREATE TABLE T_AM_BUSINESSAPPLY_WB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ASSOCIATEENTRY') 
 CREATE TABLE T_AM_ASSOCIATEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FASSOCIATEDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLINFO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_ASSOCIATEENTRY_LK') 
 CREATE TABLE T_AM_ASSOCIATEENTRY_LK (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_INVENTORYGOOD_ATT') 
 CREATE TABLE T_AM_INVENTORYGOOD_ATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_INVENTORYGOOD_L') 
 CREATE TABLE T_AM_INVENTORYGOOD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_INVENTORYGOOD_R3') 
 CREATE TABLE T_AM_INVENTORYGOOD_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_INVENTORYGOODE') 
 CREATE TABLE T_AM_INVENTORYGOODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FASSOCIATEDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLINFO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODS_USE') 
 CREATE TABLE T_AM_HOLDGOODS_USE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTAKEHOLDERLD VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTAKEHOLDERID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSDATE DATETIME,
FPREDICTDATE DATETIME,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODS_USE_L') 
 CREATE TABLE T_AM_HOLDGOODS_USE_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODS_USE_R3') 
 CREATE TABLE T_AM_HOLDGOODS_USE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSUSE_E') 
 CREATE TABLE T_AM_GOODSUSE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVENTORYGOODID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSUSE_SUB') 
 CREATE TABLE T_AM_GOODSUSE_SUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FASSOCIATEDTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLINFO VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_PREGOODSUPDATE_SUB') 
 CREATE TABLE T_AM_PREGOODSUPDATE_SUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FASSOCIATEDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLINFO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_COLLECTINFOS') 
 CREATE TABLE T_AM_COLLECTINFOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDETAILMODIFIER BIGINT DEFAULT 0 NOT NULL,
FDETAILMODIFYDATE DATETIME,
FASSOCIATEDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLINFO NVARCHAR(50) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODSINFO') 
 CREATE TABLE T_AM_HOLDGOODSINFO (
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE')
 CREATE TABLE T_AM_POSTGOODSUPDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE  NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTAKEHOLDERID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSTAKEHOLDERLD NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSTAKENHOLDERID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSINESSDATE DATETIME,
FPREDICTDATE DATETIME,
FREASON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTGOODSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTGOODSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTSTARTDATE DATETIME,
FPOSTENDDATE DATETIME,
FPOSTKEEPER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FPOSTDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FORGFIEID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAFIELD1 BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUSFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULCOMBOFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRECOMPANY BIGINT DEFAULT 0 NOT NULL,
FPREGOODSTYPE BIGINT DEFAULT 0 NOT NULL,
FPREGOODSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREGOODSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESTARTDATE DATETIME,
FPREENDDATE DATETIME,
FPREAUTHORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREKEEPER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FPREGOODSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATES')
 CREATE TABLE T_AM_POSTGOODSUPDATES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE  NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTAKEHOLDERID BIGINT DEFAULT 0 NOT NULL,
FSTAKEHOLDERLD BIGINT DEFAULT 0 NOT NULL,
FSTAKENHOLDERID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSINESSDATE DATETIME,
FPREDICTDATE DATETIME,
FREASON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTGOODSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTGOODSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTSTARTDATE DATETIME,
FPOSTENDDATE DATETIME,
FPOSTKEEPER BIGINT DEFAULT 0 NOT NULL,
FPOSTDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FORGFIEID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAFIELD1 BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUSFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULCOMBOFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRECOMPANY BIGINT DEFAULT 0 NOT NULL,
FPREGOODSTYPE BIGINT DEFAULT 0 NOT NULL,
FPREGOODSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREGOODSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESTARTDATE DATETIME,
FPREENDDATE DATETIME,
FPREAUTHORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREKEEPER BIGINT DEFAULT 0 NOT NULL,
FPREGOODSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE_ATT') 
 CREATE TABLE T_AM_POSTGOODSUPDATE_ATT (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE_SUB') 
 CREATE TABLE T_AM_POSTGOODSUPDATE_SUB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOSTASSOCIATEDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTBILLINFO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE_SUB_L') 
 CREATE TABLE T_AM_POSTGOODSUPDATE_SUB_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_PREGOODSUPDATE_ATT') 
 CREATE TABLE T_AM_PREGOODSUPDATE_ATT (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_AM_HOLDGOODS_USE_R3', 'FREFSTATUS', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSDETAIL')
 CREATE TABLE T_AM_GOODSDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FOBJECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FOBJECTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOBJECTNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FKEEPER BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_HOLDGOODSINFO' AND KSQL_COL_NAME IN ('FSRCBILLNO'))
 ALTER TABLE T_AM_HOLDGOODSINFO ADD (FSRCBILLNO NVARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE_R3')
 CREATE TABLE T_AM_POSTGOODSUPDATE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_HOLDGOODSINFO' AND KSQL_COL_NAME IN ('FSRCBILLNO'))
 ALTER TABLE T_AM_HOLDGOODSINFO ADD (FSRCBILLNO NVARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATES_R3')
 CREATE TABLE T_AM_POSTGOODSUPDATES_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATE_L')
 CREATE TABLE T_AM_POSTGOODSUPDATE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_POSTGOODSUPDATES_L')
 CREATE TABLE T_AM_POSTGOODSUPDATES_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODSINFO_WB')
 CREATE TABLE T_AM_HOLDGOODSINFO_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODSINFO_TC')
 CREATE TABLE T_AM_HOLDGOODSINFO_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_HOLDGOODSINFO_LK')
 CREATE TABLE T_AM_HOLDGOODSINFO_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSDETAIL_LK')
 CREATE TABLE T_AM_GOODSDETAIL_LK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_COLLECTINFOS_LK')
 CREATE TABLE T_AM_COLLECTINFOS_LK (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_PREGOODSUPDATE')
 CREATE TABLE T_AM_PREGOODSUPDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVENTORYGOODLD BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSATTACH')
 CREATE TABLE T_AM_GOODSATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_INVENTORYGOOD')
CREATE TABLE T_AM_INVENTORYGOOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOBJECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FKEEPER BIGINT DEFAULT 0 NOT NULL,
FGOODSTATUS VARCHAR(50) DEFAULT 'A' NOT NULL,
FADOPTIONSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPERMISSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FMANIFESTID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_ASSOCIATEBILL' AND KSQL_COL_NAME IN ('FCREATORID'))
 ALTER TABLE T_AM_ASSOCIATEBILL ADD (FCREATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_HOLDGOODS_USE' AND KSQL_COL_NAME IN ('FSTAKEHOLDERID'))
 ALTER TABLE T_AM_HOLDGOODS_USE ADD (FSTAKEHOLDERID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_INVENTORYGOOD' AND KSQL_COL_NAME IN ('FADOPTERID')) 
 ALTER TABLE T_AM_INVENTORYGOOD ADD (FADOPTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AM_GOODSUSE_E' AND KSQL_COL_NAME IN ('FADOPTERID')) 
 ALTER TABLE T_AM_GOODSUSE_E ADD (FADOPTERID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AM_GOODSUSE_CHANGE') 
 CREATE TABLE T_AM_GOODSUSE_CHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROPERTYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCGOODSNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCSTARTDATE DATETIME,
FCENDDATE DATETIME,
FCPERMISSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCASSOCIATEDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCBILLINFO VARCHAR(500) DEFAULT ' ' NOT NULL,
FCKEEPERID BIGINT DEFAULT 0 NOT NULL,
FAFTERCHANGE VARCHAR(500) DEFAULT ' ' NOT NULL
);
 EXEC p_AlterColumn 'T_AM_GOODSUSE_CHANGE', 'FCBILLINFO', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_AM_GOODSUSE_CHANGE', 'FAFTERCHANGE', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';
/**End D:\PDM_UPGRADE\PDM1\AM_table.sql **/
